Package com.google.javascript.jscomp

# Interface ErrorHandler

All Known Subinterfaces:
  `ErrorManager`

All Known Implementing Classes:
  `AntErrorManager`, `BasicErrorManager`, `LoggerErrorManager`, `PrintStreamErrorManager`, `WhitelistWarningsGuard.WhitelistBuilder`

public interface ErrorHandler
The error handler is any generic sink for warnings and errors, after they've passed through any filtering `WarningsGuard`s.

## Method Summary

Modifier and Type
Method
Description
`void`
`report(CheckLevel level, JSError error)`

## Method Details

### report

void report(CheckLevel level, JSError error)

Parameters:
  `level` - the reporting level
  `error` - the error to report